%define upstream_name       Curses-UI-POE
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1
Summary:    A subclass makes Curses::UI POE Friendly
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Curse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses::UI) >= 0.930.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 0.110.0
BuildArch:  noarch

%description
This is a subclass for Curses::UI that enables it to work with POE. It is
designed to simply slide over Curses::UI. Keeping the API the same and simply
forcing Curses::UI to do all of its event handling via POE, instead of internal
to itself. This allows you to use POE behind the scenes for things like
networking clients, without Curses::UI breaking your programs' functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml examples
%{perl_vendorlib}/Curses
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:0.40.0-2.mga3
+ Revision: 364981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 1:0.40.0-1.mga2
+ Revision: 182559
- update to 0.04

* Mon Jan 24 2011 jquelin <jquelin> 1:0.35.0-2.mga1
+ Revision: 36865
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1:0.35.0-1.mga1
+ Revision: 33662
- mageia rebuild
- imported package perl-Curses-UI-POE

